> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.wodup.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List wods



## OpenAPI

````yaml get /api/public/wods
openapi: 3.0.0
info:
  title: WodUp Public API
  version: '0.1'
servers:
  - description: Development / testing server
    url: https://api.wodup.dev
    variables: {}
security:
  - authorization: []
tags: []
paths:
  /api/public/wods:
    get:
      tags:
        - wods
      summary: List wods
      operationId: WodUpWeb.PublicApi.WodController.index
      parameters:
        - description: |
            **Only used by platform integrations**  
            ID of gym to execute on behalf of
          example: gym_123abc
          in: header
          name: wodup-gym
          required: false
          schema:
            type: string
        - description: ID of program to get wods for
          example: p_123abc
          in: query
          name: program_id
          required: false
          schema:
            type: string
        - description: ID of athlete to get wods for
          example: ath_123abc
          in: query
          name: athlete_id
          required: false
          schema:
            type: string
        - description: Filter by date wod programmed for, inclusive.
          in: query
          name: start_date
          required: false
          schema:
            format: date
            type: string
        - description: Filter by date wod programmed for, inclusive.
          in: query
          name: end_date
          required: false
          schema:
            format: date
            type: string
        - description: >-
            A limit on the number of objects to be returned. Limit can range
            between 1 and 100, and the default is 10.
          example: 50
          in: query
          name: limit
          required: false
          schema:
            default: 10
            maximum: 100
            minimum: 1
            type: integer
        - description: >-
            A cursor for use in pagination. `after_cursor` is an object ID that
            defines your place in the list. For instance, if you make a list
            request and receive 100 objects, ending with `obj_foo`, your
            subsequent call can include `after_cursor=obj_foo` in order to fetch
            the next page of the list.
          example: ath_abcdef
          in: query
          name: after_cursor
          required: false
          schema:
            type: string
        - description: >-
            A cursor for use in pagination. `before_cursor` is an object ID that
            defines your place in the list. For instance, if you make a list
            request and receive 100 objects, starting with `obj_bar`, your
            subsequent call can include `before_cursor=obj_bar` in order to
            fetch the previous page of the list.
          example: ath_abcdef
          in: query
          name: before_cursor
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListWodsResponse'
          description: Wod list
      callbacks: {}
components:
  schemas:
    ListWodsResponse:
      example:
        - components:
            - id: wc_123abc
              is_alternating: false
              notes: Aim for an 80% effort today.
              notes_for_coaches: Try to complete this section in 10 minutes.
              order: 0
              partners: 0
              post_instructions: null
              pre_instructions: Make sure to warm up your hips first.
              prefix: A
              results_count: 0
              workout:
                description: Back Squat 5 reps
                details:
                  movements:
                    - id: mv_fT0m3viH
                      load: null
                      reps: '5'
                  rest:
                    type: as_needed
                  type: Strength
                movements:
                  - complex_details: null
                    description: null
                    has_calories: false
                    has_distance: false
                    has_duration: false
                    has_height: false
                    has_load: true
                    has_power: false
                    has_reps: true
                    id: mv_fT0m3viH
                    name: Back Squat
                    source: wodup
                    video:
                      id: dQw4w9WgXcQ
                      service: youtube
                name: null
                type: Strength
          id: wod_123abc
          name: Morning Workout
          occurs_on: '2020-01-01'
          order: 0
          program:
            access: private
            id: p_123abc
            name: Strength and Conditioning
            period: continuous
            status: active
          publish_at: '2020-01-01T00:00:00Z'
      items:
        $ref: '#/components/schemas/WodResponse'
      title: ListWodsResponse
      type: array
    WodResponse:
      description: Response schema for creating a wod
      example:
        components:
          - id: wc_123abc
            is_alternating: false
            notes: Aim for an 80% effort today.
            notes_for_coaches: Try to complete this section in 10 minutes.
            order: 0
            partners: 0
            post_instructions: null
            pre_instructions: Make sure to warm up your hips first.
            prefix: A
            results_count: 0
            workout:
              description: Back Squat 5 reps
              details:
                movements:
                  - id: mv_fT0m3viH
                    load: null
                    reps: '5'
                rest:
                  type: as_needed
                type: Strength
              movements:
                - complex_details: null
                  description: null
                  has_calories: false
                  has_distance: false
                  has_duration: false
                  has_height: false
                  has_load: true
                  has_power: false
                  has_reps: true
                  id: mv_fT0m3viH
                  name: Back Squat
                  source: wodup
                  video:
                    id: dQw4w9WgXcQ
                    service: youtube
              name: null
              type: Strength
        id: wod_123abc
        name: Morning Workout
        occurs_on: '2020-01-01'
        order: 0
        program:
          access: private
          id: p_123abc
          name: Strength and Conditioning
          period: continuous
          status: active
        publish_at: '2020-01-01T00:00:00Z'
      properties:
        components:
          description: Components in this WOD
          items:
            properties:
              id:
                description: WOD Component ID
                type: string
              is_alternating:
                description: Whether this component alternates with the next one
                type: boolean
              name:
                description: Component name
                type: string
              notes:
                description: Component notes
                type: string
              notes_for_coaches:
                description: Component notes for coaches
                type: string
              order:
                default: 0
                description: Component order
                type: integer
              partners:
                description: Number of partners.
                minimum: 0
                type: integer
              post_instructions:
                description: Instructions immediately proceeding the workout
                type: string
              pre_instructions:
                description: Instructions immediately preceeding the workout
                type: string
              prefix:
                description: Prefix for this workout, e.g. 'B1'.
                type: string
              workout:
                description: Workout object
                properties:
                  description:
                    description: A human readable description of the workout
                    type: string
                  details:
                    description: '[View details](../workouts/types)'
                    format: json
                    type: string
                  movements:
                    description: Movement objects referenced by this workout
                    items:
                      $ref: '#/components/schemas/Movement'
                    type: array
                  name:
                    description: An official name for the workout
                    type: string
                  type:
                    description: Workout type
                    enum:
                      - Amrap
                      - Cardio
                      - CardioIntervals
                      - DeathBy
                      - Emom
                      - Fgb
                      - ForTime
                      - FranStyle
                      - Generic
                      - MaxReps
                      - RoundsForTime
                      - Strength
                      - Tabata
                      - TwelveDays
                      - WarmUp
                    type: string
                required:
                  - type
                  - description
                  - details
                  - movements
                type: object
            required:
              - row_order
              - workout
            type: object
          type: array
        id:
          description: WOD ID
          type: string
        name:
          description: WOD name
          type: string
        occurs_on:
          description: Date WOD is programmed on
          format: date
          type: string
        order:
          default: 0
          description: WOD order if multiple WODs on same day
          type: integer
        publish_at:
          description: Time when WOD is visible
          format: date-time
          type: string
      title: WodResponse
      type: object
    Movement:
      description: Movement object
      properties:
        complex_details:
          description: Movements in this complex
          items:
            properties:
              movement_id:
                description: Movement id
                type: string
              reps:
                description: Number of reps to perform
                type: integer
            required:
              - movement_id
              - reps
            type: object
          type: array
        description:
          description: Movement instructions / description
          type: string
        has_calories:
          description: Does this movement involve calories. E.g. Row
          type: boolean
        has_distance:
          description: Does this movement involve distance. E.g. Row
          type: boolean
        has_duration:
          description: Does this movement involve duration. E.g. Row or Weighted Plank Hold
          type: boolean
        has_height:
          description: Does this movement involve height. E.g. Box Jumps
          type: boolean
        has_load:
          description: >-
            Does this movement involve load. E.g. Back Squat or Weighted Plank
            Hold
          type: boolean
        has_power:
          description: Does this movement involve power. E.g. Row
          type: boolean
        has_reps:
          description: Does this movement involve reps. E.g. Push-Up or Back Squat
          type: boolean
        id:
          description: Movement ID
          type: string
        name:
          description: Movement name
          type: string
        source:
          description: >-
            Whether this movement is from the global WodUp library or a custom
            movement
          enum:
            - wodup
            - custom
          type: string
        video:
          properties:
            id:
              description: Video id
              type: string
            service:
              description: Video service
              enum:
                - vimeo
                - youtube
              type: string
          required:
            - id
            - service
          type: object
      title: Movement
      type: object
  securitySchemes:
    authorization:
      scheme: basic
      type: http

````